> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zeeg.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Subscription

> Retrieve a single webhook subscription by UUID, including the callback URL, scope, and the event types it is subscribed to.



## OpenAPI

````yaml GET /webhooks/{uuid}
openapi: 3.0.0
info:
  title: Zeeg Public API
  description: >-
    Zeeg public API documentation.


    ## Authentication

    All endpoints require a Bearer token. You can generate an API token from
    [your Zeeg dashboard](https://app.zeeg.me/account/settings/api-access).


    Each token is scoped to specific permissions (e.g. `events:read`,
    `webhooks:write`). Make sure your token has the required scopes for the
    endpoints you want to use.


    ## Recommended Headers

    We recommend including the `Accept: application/json` header in all API
    requests to ensure you receive JSON responses.
  version: 2.0.0
  x-logo:
    url: https://app.zeeg.me/img/logo-dark.2ca83593.svg
    backgroundColor: '#f7f7f9'
    altText: zeeg
  contact:
    name: Zeeg Support
    email: support@zeeg.me
    url: https://zeeg.me/en/contact
  license:
    name: Proprietary
    url: https://zeeg.me/en/legal/terms
  termsOfService: https://zeeg.me/en/legal/terms
servers:
  - url: https://api.zeeg.me/v2
    description: Production
security:
  - bearer: []
tags:
  - name: Scheduled Events
    description: Management of events scheduled via Zeeg
  - name: Scheduling Pages
    description: Scheduling pages information and management
  - name: Availability Schedule
    description: Read and change availability for users
  - name: Webhooks
    description: Webhooks management
  - name: Notes
    description: Notes for scheduled events
  - name: Workspaces & Teams
    description: Workspace users and team member management
  - name: AI Agent
    description: AI Agent integration endpoints
  - name: Payloads
    description: Webhook payload schemas
  - name: CRM - Objects
    description: >-
      Discover the schema of CRM objects (standard and custom) including all
      attribute definitions
  - name: CRM - Companies
    description: Create, read, update, and delete CRM company records
  - name: CRM - People
    description: Create, read, update, and delete CRM person records
paths:
  /webhooks/{uuid}:
    parameters:
      - schema:
          type: string
          format: uuid
        name: uuid
        in: path
        required: true
        description: UUID of the webhook subscription.
    get:
      tags:
        - Webhooks
      summary: Get webhook subscription
      description: >-
        Returns a specific webhook subscription by its UUID.


        You can view and manage your webhook subscriptions from the [Zeeg
        dashboard](https://app.zeeg.me/account/settings/webhooks).
      operationId: get-webhooks-uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  status:
                    type: integer
                    example: 200
                  resource:
                    type: object
                    properties:
                      uuid:
                        type: string
                        format: uuid
                      name:
                        type: string
                        nullable: true
                      description:
                        type: string
                        nullable: true
                      callbackUrl:
                        type: string
                        format: uri
                      scope:
                        type: string
                        enum:
                          - user
                          - organization
                      creator:
                        type: object
                        properties:
                          firstName:
                            type: string
                          lastName:
                            type: string
                          slug:
                            type: string
                      events:
                        type: array
                        items:
                          type: string
                      organization:
                        type: string
                        format: uri
                        nullable: true
                      apiVersion:
                        type: string
                        nullable: true
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
              examples:
                Webhook details:
                  value:
                    success: true
                    status: 200
                    resource:
                      uuid: 9a39bf60-a6c3-45e7-80cd-2cd36e520861
                      name: null
                      description: null
                      callbackUrl: https://example.com/webhooks/zeeg
                      scope: user
                      creator:
                        firstName: Lena
                        lastName: Meier
                        slug: lena-meier
                      events:
                        - invitee.scheduled
                        - invitee.cancelled
                      organization: null
                      apiVersion: null
                      createdAt: '2026-04-10T08:30:00.000000Z'
                      updatedAt: '2026-04-10T08:30:00.000000Z'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  status:
                    type: integer
              examples:
                Invalid UUID:
                  value:
                    success: false
                    message: Invalid UUID string.
                    status: 400
        '401':
          $ref: '#/components/responses/401'
      security:
        - bearer: []
components:
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
          examples:
            Unauthenticated:
              value:
                message: Unauthenticated.
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: ''

````